Bug 133493 - gpt(8): 'gpt boot' should mark the slice in the protective mbr as active
Summary: gpt(8): 'gpt boot' should mark the slice in the protective mbr as active
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 7.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Robert Noland
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-08 18:00 UTC by Christopher Key
Modified: 2009-11-01 17:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Key 2009-04-08 18:00:09 UTC
GPT partitioned disks have a protective mbr in the first sector of the
disk, containing code to boot from the disk on non-EFI systems, along
with an entry for a single slice covering the entire disk.  Some BIOSes,
e.g. Intel DQ965GF, will refuse to attempt to boot from a disk without
an active slice.  A workaround is to mark the slice as active after
installing installing the pmbr, i.e.

gpt boot /dev/...
fdisk -a /dev/... (set slice 1 as active)

It would however be preferable for gpt to do this itself, either by
default, or by adding a suitable command line option.
Comment 1 Jeff Kletsky 2009-07-10 20:08:40 UTC
Confirmed still a problem in 7.2-RELEASE-p2 with Intel D945GCLF2 and 
current BIOS.

Related problems include the PMBR starting at 0xffffff -- bin/115406
Comment 2 Gavin Atkinson freebsd_committer freebsd_triage 2009-10-22 22:33:39 UTC
State Changed
From-To: open->patched

This is fixed in HEAD in r198097 


Comment 3 Gavin Atkinson freebsd_committer freebsd_triage 2009-10-22 22:33:39 UTC
Responsible Changed
From-To: freebsd-bugs->rnoland

Over to rnoland as MFC reminder
Comment 4 Robert Noland freebsd_committer 2009-11-01 17:20:36 UTC
State Changed
From-To: patched->closed

This is now in RELENG_7 and RELENG_8